0

ZK Themer doesn't work

asked 2012-09-26 06:08:45 +0800

bhagyashree gravatar image bhagyashree
78

Hi,
I want to use an orange color theme for my zk Project. I used the zk online themer and downloaded the myOrangeTheme.jar and included it in the lib folder.
But the theme is not getitng applied.
I have gone through most of the forums and small talks for the solution but it is still not working.
I need this solution ASAP. Kindly help me with suggestions.

delete flag offensive retag edit

12 Replies

Sort by ยป oldest newest

answered 2012-09-26 06:54:44 +0800

jimmyshiau gravatar image jimmyshiau
4921 5
http://www.zkoss.org/ ZK Team

Hi bhagyashree,
ZK Themer only support ZK6.0.x, what ZK version are you use?

link publish delete flag offensive edit

answered 2012-09-26 07:30:19 +0800

Neus gravatar image Neus
1415 14

And the themes generated by it give these exceptions:

25-sep-2012 12:29:08 org.zkoss.web.util.resource.DspExtendlet service:80
GRAVE: Failed to load the resource: /Turquesa/js/timelinez/css/timeline.css.dsp
25-sep-2012 12:29:08 org.zkoss.zk.ui.http.WcsExtendlet service:133
GRAVE: Unable to load ~./Turquesa/js/timelinez/css/timeline.css.dsp
>>java.io.FileNotFoundException: Failed to load the resource: /Turquesa/js/timelinez/css/timeline.css.dsp
>>	at org.zkoss.web.util.resource.DspExtendlet.service(DspExtendlet.java:82)
>>	at org.zkoss.web.util.resource.ClassWebResource.web0(ClassWebResource.java:583)
>>	at org.zkoss.web.util.resource.ClassWebResource.web(ClassWebResource.java:569)
>>	at org.zkoss.web.util.resource.ClassWebResource.service(ClassWebResource.java:260)
>>	at org.zkoss.web.util.resource.ClassWebResource$CWC.include(ClassWebResource.java:806)
>>	at org.zkoss.zk.ui.http.WcsExtendlet.service(WcsExtendlet.java:131)
>>...
25-sep-2012 12:29:08 org.zkoss.web.util.resource.DspExtendlet service:80
GRAVE: Failed to load the resource: /Turquesa/js/timeplotz/css/timeplot.css.dsp
25-sep-2012 12:29:08 org.zkoss.zk.ui.http.WcsExtendlet service:133
GRAVE: Unable to load ~./Turquesa/js/timeplotz/css/timeplot.css.dsp
>>java.io.FileNotFoundException: Failed to load the resource: /Turquesa/js/timeplotz/css/timeplot.css.dsp
>>	at org.zkoss.web.util.resource.DspExtendlet.service(DspExtendlet.java:82)
>>	at org.zkoss.web.util.resource.ClassWebResource.web0(ClassWebResource.java:583)
>>	at org.zkoss.web.util.resource.ClassWebResource.web(ClassWebResource.java:569)
>>	at org.zkoss.web.util.resource.ClassWebResource.service(ClassWebResource.java:260)
>>	at org.zkoss.web.util.resource.ClassWebResource$CWC.include(ClassWebResource.java:806)
>>	at org.zkoss.zk.ui.http.WcsExtendlet.service(WcsExtendlet.java:131)

link publish delete flag offensive edit

answered 2012-09-26 07:50:51 +0800

bhagyashree gravatar image bhagyashree
78

I am using zk 6.5 the latest release

link publish delete flag offensive edit

answered 2012-09-26 07:58:11 +0800

jimmyshiau gravatar image jimmyshiau
4921 5
http://www.zkoss.org/ ZK Team

Hi Neus,

what is your ZK version?

Hi bhagyashree

there is a tracker for ZK 6.5, we will upgrade themer to support ZK 6.5
http://tracker.zkoss.org/browse/ZK-1359

link publish delete flag offensive edit

answered 2012-09-26 08:14:53 +0800

bhagyashree gravatar image bhagyashree
78

Hi jimmyshiau,

I changed my version to 6.0.0 and add the myOrangeTheme.jar that i had downloaded from using the zk online themer but still there is no change in the theme.

link publish delete flag offensive edit

answered 2012-09-26 08:20:01 +0800

jimmyshiau gravatar image jimmyshiau
4921 5
http://www.zkoss.org/ ZK Team

You need to add a config to your zk.xml, please refer to https://github.com/zkoss/zkthemes/wiki/GetStarted.

link publish delete flag offensive edit

answered 2012-09-26 09:00:59 +0800

bhagyashree gravatar image bhagyashree
78

Thanx jimmyshiau.
It works now in zk 6.0.0 . But my project needs zk 6.5 since i have used new databinding features in it.
So will there be any further support of the zk online themer for zk 6.5 and can you please let me know by when can that be possible?

link publish delete flag offensive edit

answered 2012-09-26 09:25:43 +0800

Neus gravatar image Neus
1415 14

I'm using ZK 6.1.0

link publish delete flag offensive edit

answered 2012-09-26 11:08:24 +0800

jimmyshiau gravatar image jimmyshiau
4921 5
http://www.zkoss.org/ ZK Team

Hi Neus,
ZK Themer only support ZK6.0.x,
and ZK 6.1 already become a part of ZK 6.5, ZK will not release ZK 6.1.x.
what feature of 6.1 do you need ?

link publish delete flag offensive edit

answered 2012-09-27 07:24:58 +0800

Neus gravatar image Neus
1415 14

So, if I want to use ZK themer I have to downgrade my zk version? And therefore, I can't download the last ZK version?

link publish delete flag offensive edit
Your reply
Please start posting your answer anonymously - your answer will be saved within the current session and published after you log in or create a new account. Please try to give a substantial answer, for discussions, please use comments and please do remember to vote (after you log in)!

[hide preview]

Question tools

Follow

RSS

Stats

Asked: 2012-09-26 06:08:45 +0800

Seen: 159 times

Last updated: Sep 27 '12

Support Options
  • Email Support
  • Training
  • Consulting
  • Outsourcing
Learn More